Skip to main content
PATCH
/
v1
/
simulations
/
{simulation_id}
/
plan
Edit the plan
curl --request PATCH \
  --url https://api.example.com/v1/simulations/{simulation_id}/plan \
  --header 'Content-Type: application/json' \
  --data '
{
  "question_text": "<string>",
  "hypothesis_text": "<string>",
  "survey_questions": [
    {
      "question_text": "<string>",
      "question_type": "single_choice",
      "answer_options": [
        "<string>"
      ],
      "insight": "<string>",
      "variable_name": "<string>"
    }
  ],
  "journey_task": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Headers

authorization
string

Path Parameters

simulation_id
string<uuid>
required

Body

application/json
question_text
string | null
hypothesis_text
string | null
survey_questions
SurveyQuestionIn · object[] | null
journey_task
Journey Task · object

Response

Successful Response